/* DXRuby 外部インターフェース
   Window.draw系と同じ動作をします。

x・・・x座標
y・・・y座標
vimage・・・Imageクラスのオブジェクト
slacex, scaley・・・縦横の拡大率
centerx, centery・・・拡大回転時の中心座標
angle・・・角度（360度系）
alpha・・・α値
z・・・描画順指定
flag・・・0を指定するとcenterxとcenteryを無視して中心を計算してくれる
*/

void DXRuby_draw( int x, int y, VALUE vimage, float z );
void DXRuby_drawScale( int x, int y, VALUE vimage, float scalex, float scaley, float centerx, float centery, float z, int flag );
void DXRuby_drawRot( int x, int y, VALUE vimage, float angle, int centerx, int centery, int z, int flag);
void DXRuby_drawAlpha( int x, int y, VALUE vimage, int alpha, int z );
void DXRuby_drawAdd( int x, int y, VALUE vimage, int z );
void DXRuby_drawSub( int x, int y, VALUE vimage, int z );
void DXRuby_drawEx( int x, int y, VALUE vimage, float angle, float scalex, float scaley, float centerx, float centery, int alpha, int blend, int z, int flag );


void *DXRuby_lock( VALUE vimage, char **address, int *pitch, int *width, int *height );
void DXRuby_unlock( void *texture );
